package com.hzya.frame.cbs8.dto.req;

/**
 * @Description 经办支付请求DTO
 * @Author xiangerlin
 * @Date 2024/1/3 09:02
 **/
public class PayRequestDTO {
    private String referenceNum;//业务参考号，必填
    private String busType;//业务类型 必填
    private String amount;//金额 必填
    private String currency;//币种编码，必填
    private String payAccount;//付款账号，非集中支付模式必填
    private String revAccount;//收款账号 必填
    private String revAccountName;//收款方户名 必填
    private String revBankType;//收款银行类型编码，必填
    private String revBankName;//收款开户行名称
    private String cnapsCode;//联行号 必填
    private String purpose;//支付用途 必填

    private String innerAccount;//内部账号
    private String revBankArea;//收款银行地区名称
    private String revProvince;//收款人省
    private String revCity;//收款人市
    private String bankNum;//收款地区码｜银行号
    private String summary;//该笔支付备注
    private String expectTime;//期望支付时间
    private String personalFlag;//公私标记 1对私 0对公
    private String urgentTag;//加急，1加急0不加2特急
    private String realTimeTag;//是否实时 1实时0落地
    private String cityFlag;//同城标志 0同城1异地
    private String payChannel;//支付渠道
    private String busiStep;//业务步数 集中支付需要传1，其他不用传
    private String applyUnitCode;//申请人单位号，集中支付必传
    private String displayApplyUnitCode;//申请人单位号（前端显示），集中支付如果传了，会将其转化为applyUnitCode

    private String erpExtend1;//客户备用字段1
    private String erpExtend2;//客户备用字段2
    private String erpExtend3;//客户备用字段3

    public String getReferenceNum() {
        return referenceNum;
    }

    public void setReferenceNum(String referenceNum) {
        this.referenceNum = referenceNum;
    }

    public String getBusType() {
        return busType;
    }

    public void setBusType(String busType) {
        this.busType = busType;
    }

    public String getAmount() {
        return amount;
    }

    public void setAmount(String amount) {
        this.amount = amount;
    }

    public String getCurrency() {
        return currency;
    }

    public void setCurrency(String currency) {
        this.currency = currency;
    }

    public String getPayAccount() {
        return payAccount;
    }

    public void setPayAccount(String payAccount) {
        this.payAccount = payAccount;
    }

    public String getRevAccount() {
        return revAccount;
    }

    public void setRevAccount(String revAccount) {
        this.revAccount = revAccount;
    }

    public String getRevAccountName() {
        return revAccountName;
    }

    public void setRevAccountName(String revAccountName) {
        this.revAccountName = revAccountName;
    }

    public String getRevBankType() {
        return revBankType;
    }

    public void setRevBankType(String revBankType) {
        this.revBankType = revBankType;
    }

    public String getRevBankName() {
        return revBankName;
    }

    public void setRevBankName(String revBankName) {
        this.revBankName = revBankName;
    }

    public String getCnapsCode() {
        return cnapsCode;
    }

    public void setCnapsCode(String cnapsCode) {
        this.cnapsCode = cnapsCode;
    }

    public String getPurpose() {
        return purpose;
    }

    public void setPurpose(String purpose) {
        this.purpose = purpose;
    }

    public String getInnerAccount() {
        return innerAccount;
    }

    public void setInnerAccount(String innerAccount) {
        this.innerAccount = innerAccount;
    }

    public String getRevBankArea() {
        return revBankArea;
    }

    public void setRevBankArea(String revBankArea) {
        this.revBankArea = revBankArea;
    }

    public String getRevProvince() {
        return revProvince;
    }

    public void setRevProvince(String revProvince) {
        this.revProvince = revProvince;
    }

    public String getRevCity() {
        return revCity;
    }

    public void setRevCity(String revCity) {
        this.revCity = revCity;
    }

    public String getBankNum() {
        return bankNum;
    }

    public void setBankNum(String bankNum) {
        this.bankNum = bankNum;
    }

    public String getSummary() {
        return summary;
    }

    public void setSummary(String summary) {
        this.summary = summary;
    }

    public String getExpectTime() {
        return expectTime;
    }

    public void setExpectTime(String expectTime) {
        this.expectTime = expectTime;
    }

    public String getPersonalFlag() {
        return personalFlag;
    }

    public void setPersonalFlag(String personalFlag) {
        this.personalFlag = personalFlag;
    }

    public String getUrgentTag() {
        return urgentTag;
    }

    public void setUrgentTag(String urgentTag) {
        this.urgentTag = urgentTag;
    }

    public String getRealTimeTag() {
        return realTimeTag;
    }

    public void setRealTimeTag(String realTimeTag) {
        this.realTimeTag = realTimeTag;
    }

    public String getCityFlag() {
        return cityFlag;
    }

    public void setCityFlag(String cityFlag) {
        this.cityFlag = cityFlag;
    }

    public String getPayChannel() {
        return payChannel;
    }

    public void setPayChannel(String payChannel) {
        this.payChannel = payChannel;
    }

    public String getBusiStep() {
        return busiStep;
    }

    public void setBusiStep(String busiStep) {
        this.busiStep = busiStep;
    }

    public String getApplyUnitCode() {
        return applyUnitCode;
    }

    public void setApplyUnitCode(String applyUnitCode) {
        this.applyUnitCode = applyUnitCode;
    }

    public String getDisplayApplyUnitCode() {
        return displayApplyUnitCode;
    }

    public void setDisplayApplyUnitCode(String displayApplyUnitCode) {
        this.displayApplyUnitCode = displayApplyUnitCode;
    }

    public String getErpExtend1() {
        return erpExtend1;
    }

    public void setErpExtend1(String erpExtend1) {
        this.erpExtend1 = erpExtend1;
    }

    public String getErpExtend2() {
        return erpExtend2;
    }

    public void setErpExtend2(String erpExtend2) {
        this.erpExtend2 = erpExtend2;
    }

    public String getErpExtend3() {
        return erpExtend3;
    }

    public void setErpExtend3(String erpExtend3) {
        this.erpExtend3 = erpExtend3;
    }
}
